## de.sockenklaus.XmlStats
Class Settings

    java.lang.Object
      de.sockenklaus.XmlStats.Settings

    public class Settings

extends java.lang.Object

The Class Settings.

Constructor Summary
`Settings(XmlStats xmlStats)` Instantiates a new settings.

Method Summary
`boolean` `getBoolean(java.lang.String path)` Gets the boolean.
`int` `getInt(java.lang.String path)` Gets the int.
`java.lang.String` `getSettingsFilename()` Gets the settings filename.
`java.lang.String` `getString(java.lang.String path)` Gets the string.
`void` `setProperty(java.lang.String path, java.lang.Object value)` Sets the property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Settings

    public Settings(XmlStats xmlStats)

  Instantiates a new settings.

  Parameters:
    `xmlStats` - the xml stats

Method Detail

### getInt

    public int getInt(java.lang.String path)

  Gets the int.

  Parameters:
    `path` - the path
  Returns:
    the int

### getBoolean

    public boolean getBoolean(java.lang.String path)

  Gets the boolean.

  Parameters:
    `path` - the path
  Returns:
    the boolean

### getString

    public java.lang.String getString(java.lang.String path)

  Gets the string.

  Parameters:
    `path` - the path
  Returns:
    the string

### setProperty

    public void setProperty(java.lang.String path,
                            java.lang.Object value)

  Sets the property.

  Parameters:
    `path` - the path
    `value` - the value

### getSettingsFilename

    public java.lang.String getSettingsFilename()

  Gets the settings filename.

  Returns:
    the settings filename